package kz.arta.synergy.workflow.mobile.android.works.models;

import java.io.Serializable;

/**
 * Created by neox on 05.03.14.
 * Плашка списка работ
 */
public class WorkItem implements Serializable {

    private String actionID;
    private String filterType;
    private String filterID;
    private String objectID;
    private String filterName;
    private String name;
    private String start_date;
    private String finish_date;
    private String stateID;
    private String percent;
    private String has_attachments;
    private String remained;
    private String remained_label;
    private String is_expired;
    private String is_soon_expired;
    private String priority;
    private String can_edit;
    private String can_change_state;
    private String can_delete;
    private String can_send_acquaintance;
    private String can_send_agreement;
    private String can_send_approval;
    private String can_be_resended;
    private String can_reassign;
    private String can_send_by_route;
    private String can_change_progress;
    private String can_manage_comments;
    private String can_take_on_control;
    private String is_new;
    private String has_subprocesses;
    private String can_mark_as_seen;
    private String work_state_icon;
    private String work_state_label;
    private String process_result;
    private String parent_process;
    private String procInstID;
    private String completionFormID;
    private String completionResultID;
    private String time;
    private WorkUser author;
    private WorkUser user;
    private String isResolution;

    public String getIs_resolution() {
        return isResolution;
    }

    public void setIs_resolution(String isResolution) {
        this.isResolution = isResolution;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getFilterName() {
        return filterName;
    }

    public void setFilterName(String filterName) {
        this.filterName = filterName;
    }

    public String getFilterType() {
        return filterType;
    }

    public void setFilterType(String filterType) {
        this.filterType = filterType;
    }

    public String getFilterID() {
        return filterID;
    }

    public void setFilterID(String filterID) {
        this.filterID = filterID;
    }

    public String getObjectID() {
        return objectID;
    }

    public void setObjectID(String objectID) {
        this.objectID = objectID;
    }

    public WorkUser getUser() {
        return user;
    }

    public void setUser(WorkUser user) {
        this.user = user;
    }

    public WorkUser getAuthor() {
        return author;
    }

    public void setAuthor(WorkUser author) {
        this.author = author;
    }

    public String getActionID() {
        return actionID;
    }

    public void setActionID(String actionID) {
        this.actionID = actionID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStart_date() {
        return start_date;
    }

    public void setStart_date(String start_date) {
        this.start_date = start_date;
    }

    public String getFinish_date() {
        return finish_date;
    }

    public void setFinish_date(String finish_date) {
        this.finish_date = finish_date;
    }

    public String getStateID() {
        return stateID;
    }

    public void setStateID(String stateID) {
        this.stateID = stateID;
    }

    public String getPercent() {
        return percent;
    }

    public void setPercent(String percent) {
        this.percent = percent;
    }

    public String getHas_attachments() {
        return has_attachments;
    }

    public void setHas_attachments(String has_attachments) {
        this.has_attachments = has_attachments;
    }

    public String getRemained() {
        return remained;
    }

    public void setRemained(String remained) {
        this.remained = remained;
    }

    public String getRemained_label() {
        return remained_label;
    }

    public void setRemained_label(String remained_label) {
        this.remained_label = remained_label;
    }

    public String getIs_expired() {
        return is_expired;
    }

    public void setIs_expired(String is_expired) {
        this.is_expired = is_expired;
    }

    public String getIs_soon_expired() {
        return is_soon_expired;
    }

    public void setIs_soon_expired(String is_soon_expired) {
        this.is_soon_expired = is_soon_expired;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getCan_edit() {
        return can_edit;
    }

    public void setCan_edit(String can_edit) {
        this.can_edit = can_edit;
    }

    public String getCan_change_state() {
        return can_change_state;
    }

    public void setCan_change_state(String can_change_state) {
        this.can_change_state = can_change_state;
    }

    public String getCan_delete() {
        return can_delete;
    }

    public void setCan_delete(String can_delete) {
        this.can_delete = can_delete;
    }

    public String getCan_send_acquaintance() {
        return can_send_acquaintance;
    }

    public void setCan_send_acquaintance(String can_send_acquaintance) {
        this.can_send_acquaintance = can_send_acquaintance;
    }

    public String getCan_send_agreement() {
        return can_send_agreement;
    }

    public void setCan_send_agreement(String can_send_agreement) {
        this.can_send_agreement = can_send_agreement;
    }

    public String getCan_send_approval() {
        return can_send_approval;
    }

    public void setCan_send_approval(String can_send_approval) {
        this.can_send_approval = can_send_approval;
    }

    public String getCan_be_resended() {
        return can_be_resended;
    }

    public void setCan_be_resended(String can_be_resended) {
        this.can_be_resended = can_be_resended;
    }

    public String getCan_reassign() {
        return can_reassign;
    }

    public void setCan_reassign(String can_reassign) {
        this.can_reassign = can_reassign;
    }

    public String getCan_send_by_route() {
        return can_send_by_route;
    }

    public void setCan_send_by_route(String can_send_by_route) {
        this.can_send_by_route = can_send_by_route;
    }

    public String getCan_change_progress() {
        return can_change_progress;
    }

    public void setCan_change_progress(String can_change_progress) {
        this.can_change_progress = can_change_progress;
    }

    public String getCan_manage_comments() {
        return can_manage_comments;
    }

    public void setCan_manage_comments(String can_manage_comments) {
        this.can_manage_comments = can_manage_comments;
    }

    public String getCan_take_on_control() {
        return can_take_on_control;
    }

    public void setCan_take_on_control(String can_take_on_control) {
        this.can_take_on_control = can_take_on_control;
    }

    public String getIs_new() {
        return is_new;
    }

    public void setIs_new(String is_new) {
        this.is_new = is_new;
    }

    public String getHas_subprocesses() {
        return has_subprocesses;
    }

    public void setHas_subprocesses(String has_subprocesses) {
        this.has_subprocesses = has_subprocesses;
    }

    public String getCan_mark_as_seen() {
        return can_mark_as_seen;
    }

    public void setCan_mark_as_seen(String can_mark_as_seen) {
        this.can_mark_as_seen = can_mark_as_seen;
    }

    public String getWork_state_icon() {
        return work_state_icon;
    }

    public void setWork_state_icon(String work_state_icon) {
        this.work_state_icon = work_state_icon;
    }

    public String getWork_state_label() {
        return work_state_label;
    }

    public void setWork_state_label(String work_state_label) {
        this.work_state_label = work_state_label;
    }

    public String getProcess_result() {
        return process_result;
    }

    public void setProcess_result(String process_result) {
        this.process_result = process_result;
    }

    public String getParent_process() {
        return parent_process;
    }

    public void setParent_process(String parent_process) {
        this.parent_process = parent_process;
    }

    public String getProcInstID() {
        return procInstID;
    }

    public void setProcInstID(String procInstID) {
        this.procInstID = procInstID;
    }

    public String getCompletionFormID() {
        return completionFormID;
    }

    public void setCompletionFormID(String completionFormID) {
        this.completionFormID = completionFormID;
    }

    public String getCompletionResultID() {
        return completionResultID;
    }

    public void setCompletionResultID(String completionResultID) {
        this.completionResultID = completionResultID;
    }

}
